dbXML API

## com.dbxml.util
Interface Configurable

All Known Subinterfaces:
  Extension, Filer, Indexer, PageFilter, QueryResolver, SecurityManager, Trigger

All Known Implementing Classes:
  BTreeFiler, Collection, CollectionManager, DBFiler, FSFiler, FullTextIndexer, MemFiler, NameIndexer, Paged, QueryResolverBase, SecurityManagerBase, ServiceManager, SimpleConfigurable, SimpleExtension, SimpleTrigger, ValueIndexer

public interface Configurable

Configurable is a simple interface used to pass configuration information to an object. The implementing object is ultimately responsible for maintaining any of that configuration information in any fashion it so desires. Most will create a Configuration instance to manage the data in a consistent, and easy to access fashion.
A Configurable object should be considered 'configured' after receiving a call to setConfig(). No additional configuration activities should be expected of the instance, and so setConfig() should be the last call in any set of configuration commands against an object.

See Also:
  `Configuration`

Method Summary
`Configuration` `getConfig()` getConfig retrieves the configuration information for the Configurable object instance.
`void` `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  setConfig sets the configuration information for the Configurable object instance.

  Parameters:
    `config` - The configuration Node
  Throws:
    `dbXMLException`

### getConfig

    public Configuration getConfig()

  getConfig retrieves the configuration information for the Configurable object instance.

  Returns:
    The configuration Node

dbXML API

Copyright (c) 2004 The dbXML Group